{% extends 'base_feedback.html' %}
{% block content %}
       <div class="text text-center text-light">
          <h2>Help Us Improve</h2>
          <h3>Post Your Feedback</h3>
       </div>
       {% load mptt_tags %}
       <div class="container">
        {% if feedbacks.count == 0 %}
        <h3 class="text text-justify text-light">No Feedback Yet</h3>
        {% endif %}
        {% recursetree feedbacks %}
              <div class="jumbotron">
                  {% if node.score == 0 %}
                  <div class="row" id="{{ node.id }}">
                        <div class="col">
                          <span class="fa fa-star fa-2x my-star"></span>
                          <span class="fa fa-star fa-2x my-star"></span>
                          <span class="fa fa-star fa-2x my-star"></span>
                          <span class="fa fa-star fa-2x my-star"></span>
                          <span class="fa fa-star fa-2x my-star"></span>
                        </div>
                        <div class="col">{{ node.user }}</div>
                        <div class="col">{{ node.created }}</di>

                  </div>
                  <div>{{ node.body }} </div>
                  {% elif node.score == 1 %}
                   <div class="row" id="{{ node.id }}">
                      <div class="col">
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                      </div>
                      <hr>
                      <div class="col">{{ node.user }}</div>
                      <div class="col">{{ node.created }}</div>
                    
                  </div>
                  <div>{{ node.body }} </div>
                  {% elif node.score == 2 %}
                   <div class="row" id="{{ node.id }}">
                      <div class="col">
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                      </div>
                      <hr>
                      <div class="col">{{ node.user }}</div>
                      <div class="col">{{ node.created }}</div>
                    
                  </div>
                  <div>{{ node.body }} </div>
                  {% elif node.score == 3 %}
                   <div class="row" id="{{ node.id }}">
                      <div class="col">
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                      </div>
                      <hr>
                      <div class="col">{{ node.user }}</div>
                      <div class="col">{{ node.created }}</div>
                    
                  </div>
                  <div>{{ node.body }} </div>
                  {% elif node.score == 4 %}
                   <div class="row" id="{{ node.id }}">
                      <div class="col">
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star"></span>
                      </div>
                      <hr>
                      <div class="col">{{ node.user }}</div>
                      <div class="col">{{ node.created }}</div>
                    
                  </div>
                  <div>{{ node.body }} </div>
                  {% elif node.score == 5 %}
                   <div class="row" id="{{ node.id }}">
                      <div class="col">
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                        <span class="fa fa-star fa-2x my-star checked"></span>
                      </div>
                      <hr>
                      <div class="col">{{ node.user }}</div>
                      <div class="col">{{ node.created }}</div>
                    
                  </div>
                  <div>{{ node.body }} </div>
                {% endif %}
                 
                  <hr>
                  {% if user.is_superuser %}
                  <button class="button" onclick="myFunction({{ node.id }})">Reply</button>
                  {% endif %}
              </div>

              {% if not node.is_leaf_node %}
              <div class="children pl-2 pl-md-5">
                {{ children }}
              </div>
              {% endif %}

        {% endrecursetree %}
        
       </div>
       {% if user.is_authenticated %}
       <div id="containerfeedform" class="container mt-5">
        <h3>Post a New Feedback</h3>
         <form id="myform" class="form-group" method="post" autocomplete="off">
            {% csrf_token %}

            <label>Rating</label>
              <button class="fa fa-star fa-2x my-star" id="first"></button>
              <button class="fa fa-star fa-2x my-star" id="seconds"></button>
              <button class="fa fa-star fa-2x my-star" id="third"></button>
              <button class="fa fa-star fa-2x my-star" id="fourth"></button>
              <button class="fa fa-star fa-2x my-star" id="fifth"></button>
            <br>
            {{ form.score.as_hidden }}

            <label>Name:</label>
             {{ form.user }}
            <br>

            <label>Feedback:</label>
              {{ form.body }}
             <br>

             <button class="btn btn-primary btn-lg" type="submit" id="submit-btn">Submit</button>
         </form>
       </div>
       {% else %}
       <h3 class="text text-center text-light">Silakan login untuk menambahkan feedback</h3>
       {% endif %}
{% endblock %}